View Issue Details

IDProjectCategoryView StatusLast Update
0002445FreeCADFeaturepublic2016-02-11 15:56
Reporterpiffpoof Assigned Toyorik  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
PlatformMacintoshOSMac OS XOS Version10.6.8
Product Version0.15 
Target VersionFixed in Version0.16 
Summary0002445: Add link to the Help:Formatting page on the Editing page in the Wiki
DescriptionOn the Editing page in the Wiki, there is a link to "Editing help (opens in a new window)" which is useful.

What I find is I need a link to the page Help:Formatting much more often. To be able to click such a link from within the Editing page would be great. The formatting macros and text formatting guidelines are listed on the Help:Formatting page. And maybe, having them more easily accessible would get people to use the conventions listed there more often?

And if the Help:Formatting page opened in a new window then that would be the best.
Additional Informationrelated forum topic
http://forum.freecadweb.org/viewtopic.php?f=21&t=14160
TagsNo tags attached.
FreeCAD Information

Activities

yorik

2016-02-10 21:43

administrator   ~0006820

I don't think that text is editable unfortunately... At least I didn't find how to do it.

But I can add the link to http://www.freecadweb.org/wiki/index.php?title=MediaWiki:Copyrightwarning

Is that ok?

piffpoof

2016-02-10 22:47

reporter   ~0006822

I'm not sure what you mean, clicking on "FreeCAD:Copyrights" would open "Help:Formatting"?

Also I think I just realised something, the existing link "Editing help (opens in a new window)" opens a page on the MediaWiki - not our FreeCAD Wiki. I never use that page and so had never noticed that it is actually a different website. And presumably not one we can control. So I guess the link is hard coded by the developers to go to their own website - fair enough.

I was ultimately thinking it would be good to have links to both:
- Help:Formatting on MediaWiki
- WikiPages on the FreeCAD wiki
as both pages offer information of use to persons editing the Wiki pages.

Thats's the idea, but if everything is hardcoded then there's not much we can do I guess.

yorik

2016-02-11 15:56

administrator   ~0006825

The thing is, I don't want to modify the mediawiki code. It would take me way too much time, which I prefer to dedicate to FreeCAD than to Mediawiki. Also, everytime we upgrade the mediawiki software, we would need to do those changes again and again, more time wasted.

If mediawiki provides editable pages, like the one I linked above, I can edit it and add any link we want. I just did it with the template above. But apparently the "editing help" links are not editable.

So I'm going to close this issue now as I don't plan to do anything else, but if someone else wants to work on this, feel free to reopen and assign to yourself.

Issue History

Date Modified Username Field Change
2016-02-09 18:08 piffpoof New Issue
2016-02-10 12:32 jmaustpc Assigned To => yorik
2016-02-10 12:32 jmaustpc Status new => assigned
2016-02-10 21:43 yorik Note Added: 0006820
2016-02-10 22:47 piffpoof Note Added: 0006822
2016-02-11 15:56 yorik Note Added: 0006825
2016-02-11 15:56 yorik Status assigned => closed
2016-02-11 15:56 yorik Resolution open => fixed
2016-02-11 15:56 yorik Fixed in Version => 0.16